%global momorel 2
%global __python %{__python3}

Summary: A collection plugins for Eye Of Gnome
Name: eog-plugins
Version: 3.14.1
Release: %{momorel}m%{?dist}

License: GPLv2+
URL:       http://live.gnome.org/EyeOfGnome/Plugins
Group:	User Interface/Desktops
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/3.14/%{name}-%{version}.tar.xz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  eog-devel >= 3.14.0
BuildRequires:  clutter-gtk-devel
BuildRequires:  gsettings-desktop-schemas-devel
BuildRequires:  libchamplain-gtk-devel
BuildRequires:  libexif-devel
BuildRequires:  intltool
BuildRequires:  libgdata-devel >= 0.6.0
BuildRequires:  libpeas-devel
BuildRequires:  python3-devel

Requires:       eog-plugin-exif-display%{?_isa} = %{version}-%{release}
Requires:       eog-plugin-export-to-folder%{?_isa} = %{version}-%{release}
Requires:       eog-plugin-fit-to-width%{?_isa} = %{version}-%{release}
Requires:       eog-plugin-fullscreenbg%{?_isa} = %{version}-%{release}
Requires:       eog-plugin-hide-titlebar%{?_isa} = %{version}-%{release}
Requires:       eog-plugin-light-theme%{?_isa} = %{version}-%{release}
Requires:       eog-plugin-map%{?_isa} = %{version}-%{release}
Requires:       eog-plugin-postasa%{?_isa} = %{version}-%{release}
Requires:       eog-plugin-pythonconsole%{?_isa} = %{version}-%{release}
Requires:       eog-plugin-send-by-mail%{?_isa} = %{version}-%{release}
Requires:       eog-plugin-slideshowshuffle%{?_isa} = %{version}-%{release}

%description
It's a collection of plugins for use with the Eye of GNOME Image Viewer.
The included plugins provide a map view for where the picture was taken,
display of Exif information, Zoom to fit, etc.

%package -n     eog-plugin-exif-display
Summary:        eog exif-display plugin
Requires:       eog%{?_isa}

%description -n eog-plugin-exif-display
The eog exif-display plugin.

%package -n     eog-plugin-export-to-folder
Summary:        eog export-to-folder plugin
Requires:       eog%{?_isa}

%description -n eog-plugin-export-to-folder
The eog export-to-folder plugin.

%package -n     eog-plugin-fit-to-width
Summary:        eog fit-to-width plugin
Requires:       eog%{?_isa}

%description -n eog-plugin-fit-to-width
The eog fit-to-width plugin.

%package -n     eog-plugin-fullscreenbg
Summary:        eog fullscreenbg plugin
Requires:       eog%{?_isa}

%description -n eog-plugin-fullscreenbg
The eog fullscreenbg plugin.

%package -n     eog-plugin-hide-titlebar
Summary:        eog hide-titlebar plugin
Requires:       eog%{?_isa}

%description -n eog-plugin-hide-titlebar
The eog hide-titlebar plugin.

%package -n     eog-plugin-light-theme
Summary:        eog light-theme plugin
Requires:       eog%{?_isa}

%description -n eog-plugin-light-theme
The eog light-theme plugin.

%package -n     eog-plugin-map
Summary:        eog map plugin
Requires:       eog%{?_isa}

%description -n eog-plugin-map
The eog map plugin.

%package -n     eog-plugin-postasa
Summary:        eog postasa plugin
Requires:       eog%{?_isa}

%description -n eog-plugin-postasa
The eog postasa plugin.

%package -n     eog-plugin-pythonconsole
Summary:        eog pythonconsole plugin
Requires:       eog%{?_isa}

%description -n eog-plugin-pythonconsole
The eog pythonconsole plugin.

%package -n     eog-plugin-send-by-mail
Summary:        eog send-by-mail plugin
Requires:       eog%{?_isa}

%description -n eog-plugin-send-by-mail
The eog send-by-mail plugin.

%package -n     eog-plugin-slideshowshuffle
Summary:        eog slideshowshuffle plugin
Requires:       eog%{?_isa}

%description -n eog-plugin-slideshowshuffle
The eog slideshowshuffle plugin.

%prep
%setup -q

%build
%configure --disable-silent-rules
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

rm $RPM_BUILD_ROOT%{_libdir}/eog/plugins/*.la

%find_lang %{name}

%postun -n eog-plugin-exif-display
if [ $1 -eq 0 ]; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :
fi

%posttrans -n eog-plugin-exif-display
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :

%postun -n eog-plugin-export-to-folder
if [ $1 -eq 0 ]; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :
fi

%posttrans -n eog-plugin-export-to-folder
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :

%postun -n eog-plugin-fit-to-width
if [ $1 -eq 0 ]; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :
fi

%posttrans -n eog-plugin-fit-to-width
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :

%postun -n eog-plugin-fullscreenbg
if [ $1 -eq 0 ]; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :
fi

%posttrans -n eog-plugin-fullscreenbg
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :

%postun -n eog-plugin-pythonconsole
if [ $1 -eq 0 ]; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :
fi

%posttrans -n eog-plugin-pythonconsole
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :

%files
%doc COPYING
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%files -n eog-plugin-exif-display
%{_libdir}/eog/plugins/exif-display.plugin
%{_libdir}/eog/plugins/libexif-display.so
%{_datadir}/appdata/eog-exif-display.metainfo.xml
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.exif-display.gschema.xml

%files -n eog-plugin-export-to-folder
%dir %{_libdir}/eog/plugins/__pycache__/
%{_libdir}/eog/plugins/__pycache__/export-to-folder.*.pyc
%{_libdir}/eog/plugins/__pycache__/export-to-folder.*.pyo
%{_libdir}/eog/plugins/export-to-folder.plugin
%{_libdir}/eog/plugins/export-to-folder.py
%{_datadir}/appdata/eog-export-to-folder.metainfo.xml
%{_datadir}/eog/plugins/export-to-folder/
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.export-to-folder.gschema.xml

%files -n eog-plugin-fit-to-width
%{_libdir}/eog/plugins/fit-to-width.plugin
%{_libdir}/eog/plugins/libfit-to-width.so
%{_datadir}/appdata/eog-fit-to-width.metainfo.xml

%files -n eog-plugin-fullscreenbg
%dir %{_libdir}/eog/plugins/__pycache__/
%{_libdir}/eog/plugins/__pycache__/fullscreenbg.*.pyc
%{_libdir}/eog/plugins/__pycache__/fullscreenbg.*.pyo
%{_libdir}/eog/plugins/fullscreenbg.plugin
%{_libdir}/eog/plugins/fullscreenbg.py
%{_datadir}/appdata/eog-fullscreenbg.metainfo.xml
%{_datadir}/eog/plugins/fullscreenbg/
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.fullscreenbg.gschema.xml

%files -n eog-plugin-hide-titlebar
%{_libdir}/eog/plugins/hide-titlebar.plugin
%{_libdir}/eog/plugins/libhide-titlebar.so
%{_datadir}/appdata/eog-hide-titlebar.metainfo.xml

%files -n eog-plugin-light-theme
%{_libdir}/eog/plugins/liblight-theme.so
%{_libdir}/eog/plugins/light-theme.plugin
%{_datadir}/appdata/eog-light-theme.metainfo.xml

%files -n eog-plugin-map
%{_libdir}/eog/plugins/libmap.so
%{_libdir}/eog/plugins/map.plugin
%{_datadir}/appdata/eog-map.metainfo.xml

%files -n eog-plugin-postasa
%{_libdir}/eog/plugins/libpostasa.so
%{_libdir}/eog/plugins/postasa.plugin
%{_datadir}/appdata/eog-postasa.metainfo.xml

%files -n eog-plugin-pythonconsole
%{_libdir}/eog/plugins/pythonconsole.plugin
%{_libdir}/eog/plugins/pythonconsole/
%{_datadir}/appdata/eog-pythonconsole.metainfo.xml
%{_datadir}/eog/plugins/pythonconsole/
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.pythonconsole.gschema.xml

%files -n eog-plugin-send-by-mail
%{_libdir}/eog/plugins/send-by-mail.plugin
%{_libdir}/eog/plugins/libsend-by-mail.so
%{_datadir}/appdata/eog-send-by-mail.metainfo.xml

%files -n eog-plugin-slideshowshuffle
%dir %{_libdir}/eog/plugins/__pycache__/
%{_libdir}/eog/plugins/__pycache__/slideshowshuffle.*.pyc
%{_libdir}/eog/plugins/__pycache__/slideshowshuffle.*.pyo
%{_libdir}/eog/plugins/slideshowshuffle.plugin
%{_libdir}/eog/plugins/slideshowshuffle.py
%{_datadir}/appdata/eog-slideshowshuffle.metainfo.xml

%changelog
* Sat Dec 20 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.1-2m)
- rebuild against libgdata-0.16.1-1m

* Thu Nov 20 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.14.1-1m)
- update to 3.14.1

* Sun Oct 12 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.0-1m)
- update to 3.14.0
- sync with fc22

* Thu Jul 19 2012 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.2.1-3m)
- rebuild against clutter-1.11.8 and cogl-1.10.2

* Thu Jun 28 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.2.1-2m)
- rebuild for glib 2.33.2

* Thu Oct 20 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.1-1m)
- update to 3.2.1

* Wed Sep 28 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.0-1m)
- update to 3.2.0

* Wed Sep 14 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1.2-1m)
- update to 3.1.2

* Sun May  1 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.0-1m)
- update to 3.0.0

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.30.2-2m)
- rebuild for new GCC 4.6

* Wed Feb  9 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.2-1m)
- update to 2.30.2

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.30.1-6m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-5m)
- rebuild against libchamplain-0.7.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.30.1-4m)
- full rebuild for mo7 release

* Sun Aug  1 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.30.1-3m)
- add BuildRequires

* Sun Jun 27 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-2m)
- rebuild against libchamplain-0.6.1

* Wed Jun 23 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-1m)
- update to 2.30.1

* Sun Apr 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.0-1m)
- update to 2.30.0

* Sat Feb 27 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.91-1m)
- update to 2.29.91

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.28.1-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Oct 21 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.1-1m)
- update to 2.28.1

* Mon Oct  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.0-1m)
- initial build
